%% 04-06 December Central Coincidence Results
% PMT in Azimuthal position 4

%% Central Position Coinc. Rates Overall

%Dec. 4; V_pulser = 6.11 V
Xc1 = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18,...
    19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35,...
    36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52,...
    53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63];
Yc1 = [0, 1262, 1259, 1226, 1209, 1223, 1244, 1274, 1278, 1204, 1234,...
    1264, 1218, 1262, 1266, 1036, 939, 1295, 1102, 1254, 1294, 1288,...
    1287, 778, 1215, 788, 1259, 1267, 1288, 1315, 1320, 1269, 1297, 1323,...
    1330, 1285, 1299, 1296, 1325, 1337, 1310, 1253, 1279, 1269, 1302,...
    1241, 1273, 1284, 1280, 1243, 1315, 1345, 1327, 1292, 1344, 1297,...
    1313, 1310, 1294, 1295, 1356, 1286, 1345];

%Dec. 6; V_pulser = 6.13 V
Xc2 = [64, 65, 66, 67, 68, 69,...
    70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86,...
    87, 88, 89, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99, 100, 101, 102,...
    103, 104, 105];
Yc2 = [1059, 1103, 1048, 1096, 1040, 1069, 1126, 1090, 1124, 1110, 1125,...
    1112, 1099, 1068, 1139, 1105, 1094, 1140, 1169, 691, 770, 1045, 1125,...
    1107, 1079, 1078, 1149, 700, 887, 1055, 1008, 689, 970, 645, 634,...
    1095, 1084, 924, 682, 1053, 794, 648];

%Dec. 4 Avg. w/ error.
Xc3 = [3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18,...
    19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35,...
    36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52,...
    53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63];
Yc3 = [1242.5, 1248, 1247, 1242.8, 1248, 1242.428571, 1246.875,...
    1242.111111, 1239.7, 1239.181818, 1241.083333, 1242.846154, 1244.5,...
    1244.5, 1244.5, 1247.866667, 1247.866667, 1248.25, 1250.941176, 1253,...
    1254.789474, 1254.789474, 1252.8, 1252.8, 1253.095238, 1253.727273,...
    1255.217391, 1257.708333, 1260.2, 1260.538462, 1261.888889,...
    1264.071429, 1266.344828, 1266.966667, 1268, 1268.875, 1270.575758,...
    1272.529412, 1273.6, 1273.027778, 1273.189189, 1273.078947,...
    1273.820513, 1273, 1273, 1273.261905, 1273.418605, 1272.727273,...
    1273.666667, 1275.217391, 1276.319149, 1276.645833, 1278.020408,...
    1278.4, 1279.078431, 1279.673077, 1279.943396, 1280.222222, 1281.6,...
    1281.678571, 1282.789474];
err3 = [27.57716447, 21.70253441, 17.8325545, 18.0748444, 20.58154513,...
    23.88065565, 25.43584366, 27.75537986, 27.25619196, 25.91454488,...
    25.5714981, 25.29442018, 25.07757196, 25.07757196, 25.07757196,...
    27.4587136, 27.4587136, 26.571915, 28.01890118, 28.55129543,...
    28.82240438, 28.82240438, 29.43073939, 29.43073939, 28.71742461,...
    28.1816925, 28.44605185, 30.37945411, 32.24386247, 31.63950792,...
    31.8087232, 33.28210349, 34.90013903, 34.46185631, 34.36762042,...
    34.16917116, 35.02144906, 36.31948746, 36.33763241, 35.97895108,...
    35.48930812, 35.01303354, 34.85826323, 34.79758318, 34.3598603,...
    33.98066848, 33.5894205, 33.51179149, 33.72280049, 34.96532444,...
    35.39841951, 35.09287955, 36.03383236, 35.7651067, 35.73560865,...
    35.64240763, 35.35284511, 35.07763178, 36.22235855, 35.8963696,...
    36.54973952];

%Dec. 6; Avg. w/ error.
Xc4 = [65, 66, 67, 68, 69,...
    70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86,...
    87, 88, 89, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99, 100, 101, 102,...
    103, 104, 105];
Yc4 = [1081, 1070, 1076.5, 1069.2, 1069.166667, 1077.285714, 1078.875,...
    1083.888889, 1086.5, 1090, 1091.833333, 1092.384615, 1090.642857,...
    1093.866667, 1094.5625, 1094.529412, 1097.055556, 1100.842105,...
    1100.842105, 1100.842105, 1098.05, 1099.333333, 1099.681818,...
    1098.782609, 1097.916667, 1099.96, 1099.96, 1099.96, 1098.230769,...
    1094.888889, 1094.888889, 1094.888889, 1094.888889, 1094.888889,...
    1094.892857, 1094.517241, 1094.517241, 1094.517241, 1093.133333,...
    1093.133333, 1093.133333];
err4 = [31.11269837, 29.10326442, 27.08628189, 28.57796354, 25.56103806,...
    31.71600167, 29.70539874, 31.59685287, 30.91296025, 31.54045022,...
    30.73592311, 29.49445841, 29.07710477, 30.67541283, 29.76568214,...
    28.8208207, 29.94401093, 33.45521577, 33.45521577, 33.45521577,...
    34.8749269, 34.49685976, 33.70514496, 33.2113843, 32.75723175,...
    33.65570779, 33.65570779, 33.65570779, 34.13421473, 37.70771532,...
    37.70771532, 37.70771532, 37.70771532, 37.70771532, 37.00284202,...
    36.39232718, 36.39232718, 36.39232718, 36.55391232, 36.55391232,...
    36.55391232];

% Create figure
figure7 = figure;

% Create axes
axes7 = axes('Parent',figure7);
hold(axes7,'on');

cent1 = plot(Xc1,Yc1,'-o','MarkerIndices',1:1:length(Yc1),'LineWidth',1.0);
set(cent1,'DisplayName','Dec. 04: V_{pulser} = 6.11V');

cent2 = plot(Xc2,Yc2,'-o','MarkerIndices',1:1:length(Yc2),'LineWidth',1.0);
set(cent2,'DisplayName','Dec. 06: V_{pulser} = 6.13V');

cent3 = errorbar(Xc3,Yc3,err3,'LineWidth',1.0);
set(cent3,'DisplayName','Average (expected) w/ error 12/04','Color',[1 0 0]);

cent4 = errorbar(Xc4,Yc4,err4,'LineWidth',1.0);
set(cent4,'DisplayName','Average (expected) w/ error 12/06','Color',[0 0 0]);

% Create ylabel
ylabel({'Coinc. Counts in 1 Minute'});

% Create xlabel
xlabel({'Index'});

% Create title
title({'10" PMT Testing - Central Rate Change - Dec 04--06 2019'});

box(axes7,'on');
% Create legend
legend2 = legend(axes7,'show');